Skip to main content
GET
https://api.dintero.com/v1
/
accounts
/
{aid}
/
customers
/
tokens
/
events
Get token events
curl --request GET \
  --url https://api.dintero.com/v1/accounts/{aid}/customers/tokens/events \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "status": "DELETED",
    "events": [
      {
        "created_at": "2018-01-31T16:56:33Z",
        "event": "anonymous token",
        "status": "PENDING"
      },
      {
        "created_at": "2018-02-05T00:00:00Z",
        "event": "reqruited",
        "status": "DELETED"
      }
    ]
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Overview

Gets a list of token events.

Authentication

Requires a valid JWT bearer token.

Notes

This endpoint uses the request schema notation described in Pattern matching.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9

Query Parameters

limit
integer
default:10

A limit on the number of objects to be returned. Limit can range between 1 and 100 items, and the default is 10 items.

Required range: 1 <= x <= 100
starting_after
string

cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, end the result contains paging_token=pt1, your subsequent call can include starting_after=pt1 in order to fetch the next page of the list.

since_datetime
string<date-time>

Only token events added/updated at or after this time is returned NOTE: this parameter can't be combined with starting_after parameter. Retrieve next page by updating since_datetime to the latest updated_at value found in the result.

deleted_since
string<date-time>

return only token events that has been deleted

Response

events collection

id
string
read-only

Auto-generated ID identifying the token type/value.

status
string
default:UNKNOWN
read-only

The status resolved from latest events registered on given token type and value

Example:

"DELETED"

events
object[]
read-only

Events recorded given token type and value

Example:
[
{
"created_at": "2018-01-31T16:56:33Z",
"event": "anonymous token",
"status": "PENDING"
},
{
"created_at": "2018-02-05T00:00:00Z",
"event": "reqruited",
"status": "DELETED"
}
]